<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="firewall" id="top-bytes-src-by-dst">

 <lire:title>Top Volume to Destination by Source Firewall Report</lire:title>
 <lire:description>
  <para>This report will show for each destination (destination IP and
   port) the list of source IPs that sent the most volume.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="dst_to_show" type="int" default="15">
   <lire:description>
    <para>This parameter controls the number of destination (IP
     address and port) to display in the report.
    </para>
   </lire:description>
  </lire:param>
  <lire:param name="src_to_show" type="int" default="20">
   <lire:description>
    <para>This parameter controls the number of source IP adresses
     that will be displayed for each destination.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top Destinations (in Volume of Traffic) by Source IPs, Top $dst_to_show, Top $src_to_show source IPs</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-vol_total" limit="$dst_to_show">
   <lire:field name="to_ip"/>
   <lire:field name="protocol"/>
   <lire:field name="to_port"/>

   <lire:group sort="-vol_total" limit="$src_to_show">
    <lire:field name="from_ip"/>

    <lire:sum name="vol_total" field="length" label="Volume"/>
    <lire:sum name="vol_ratio" field="length" ratio="table" label="% Total"/>
    <lire:sum name="vol_group_ratio" field="length" ratio="group" label="% Dest"/>
   </lire:group>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

